Name:		tudu
Version:	0.9.1
Release:	7%{?dist}
Summary:	A simple, command line interface to do list application

Group:		Applications/Productivity
License:	GPLv3
URL:		http://code.meskio.net/tudu/
Source0:	http://code.meskio.net/tudu/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		tudu.patch

BuildRequires:	gcc-c++
BuildRequires:	ncurses-devel

%description
A command line interface to manage hierarchical to dos. Each task has a title, a
long text description, a deadline (tudu warns you when the date is close), and 
a scheduled date. There are categories and priorities.

%prep
%setup -q
%patch0

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING CONTRIBUTORS ChangeLog AUTHORS todo.xml
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/%{name}
%config(noreplace) /etc/tudurc

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.1-5
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 26 2013 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 0.9.1-2
- Fixed configure patch file.

* Mon Aug 26 2013 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 0.9.1-1
- Added CPPFLAGS to the makefiles
- Fixed a segfault adding sched
- Fixed the cursor drawing on the editor

* Wed Aug 21 2013 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 0.9-1
- Updated to version 0.9
- Adding support for double-with characters and fixing some bugs.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 0.8.2-1
- Updated to version 0.8.2
- Adds a configuration variable 'tudu_file' to set the path to the XML file.
- Improves the category editor. 
- Doesn't check configuration files when invoked with '-h' and '-v'. 
- Fixes a segfault on the scroll help page when the resolution is high. 

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for c++ ABI breakage

* Tue Dec 20 2011 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 0.8.1-1
- Updated to version 0.8.1
- Added arrow keys on date editor
- Added support for non-latin keybinding pairs
- Fixed wrong plotting while change tudu task position
- Fixed category problems (autofill, showonly, ...)
- Fixed Makefile problems reported on debian bug #611077
- Removed freeze on moving task
- Added ./configure script compatible with autotools
- Added multiple category support
- Added support for non-fix length categories
- Added warning color to old scheduled tasks in sched
- Added AvPag and RvPag to normal interface
- Fixed display when the length of the title equal to the screen
- Fixed problems with updating sched when the title changes

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 26 2010 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 0.7-2
- Added two patches to fix problems in the Makefile regarding the debugging RPM.

* Tue Nov 23 2010 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 0.7-1
- Initial RPM build.
